ProGet 4.7.1 Has Been Released

We just shipped ProGet 4.7.1. It's a maintenance release of ProGet 4.7 which means that there is minimal risk to upgrading from an earlier 4.7. However, if you're planning to upgrade from a version prior to 4.7, make sure to read the appropriate upgrade notes.

To install or upgrade, simply download ProGet and run the installer.

Here's what we changed between 4.7.0 and 4.7.1:

  • PG-734 - FIX: Exception on package details page when viewing npm package with a complex license object
  • PG-733 - FIX: License filtering is overly restrictive for some identified but unclassifed licenses
  • PG-699 - FIX: Version Range on Vulnerabilities includes too many versions
  • PG-705 - FIX: Vulnerability package version ranges with a minimum version are not parsed correctly
  • PG-719 - Add minimal formatting to vulnerability descriptions

To learn more about how we distinguish between major, minor, and maintenance releases, make sure to check out KB#1059 - When should I update?